<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class ForgetMail extends Mailable
{
    use Queueable, SerializesModels;

    public $sender;
    public $subject;
    public $password;
    public $username;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($from, $subject, $pass, $username)
    {
        $this->sender = $from;
        $this->subject = $subject;
        $this->password = $pass;
        $this->username = $username;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->from($this->sender)
        ->subject($this->subject)
        ->view('mail.forget');
    }
}
