<?php $__env->startSection('content'); ?>
  <div class="mt-2 mb-4">
    <h2 class="text-white pb-2">Welcome back, <?php echo e(Auth::guard('admin')->user()->first_name); ?> <?php echo e(Auth::guard('admin')->user()->last_name); ?>!</h2>
  </div>
  <div class="row">
		<div class="col-sm-6 col-md-4">
			<div class="card card-stats card-primary card-round">
				<div class="card-body">
					<div class="row">
						<div class="col-5">
							<div class="icon-big text-center">
								<i class="flaticon-users"></i>
							</div>
						</div>
						<div class="col-7 col-stats">
							<div class="numbers">
								<p class="card-category">Team Members</p>
								<h4 class="card-title"><?php echo e($currentLang->members()->count()); ?></h4>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="col-sm-6 col-md-4">
			<div class="card card-stats card-info card-round">
				<div class="card-body">
					<div class="row">
						<div class="col-5">
							<div class="icon-big text-center">
								<i class="flaticon-interface-6"></i>
							</div>
						</div>
						<div class="col-7 col-stats">
							<div class="numbers">
								<p class="card-category">Subscribers</p>
								<h4 class="card-title"><?php echo e(App\Models\Subscriber::count()); ?></h4>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>


		<div class="col-sm-6 col-md-4">
			<div class="card card-stats card-warning card-round">
				<div class="card-body ">
					<div class="row">
						<div class="col-5">
							<div class="icon-big text-center">
								<i class="fab fa-blogger-b"></i>
							</div>
						</div>
						<div class="col-7 col-stats">
							<div class="numbers">
								<p class="card-category">Blogs</p>
								<h4 class="card-title"><?php echo e($currentLang->blogs()->count()); ?></h4>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="col-sm-6 col-md-4">
			<div class="card card-stats card-primary card-round">
				<div class="card-body ">
					<div class="row">
						<div class="col-5">
							<div class="icon-big text-center">
								<i class="fab fa-product-hunt"></i>
							</div>
						</div>
						<div class="col-7 col-stats">
							<div class="numbers">
								<p class="card-category">Products</p>
								<h4 class="card-title"><?php echo e($currentLang->products()->count()); ?></h4>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>

		<div class="col-sm-6 col-md-4">
			<div class="card card-stats card-info card-round">
				<div class="card-body ">
					<div class="row">
						<div class="col-5">
							<div class="icon-big text-center">
								<i class="fas fa-users"></i>
							</div>
						</div>
						<div class="col-7 col-stats">
							<div class="numbers">
								<p class="card-category">Users</p>
								<h4 class="card-title"><?php echo e(App\Models\User::count()); ?></h4>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="col-sm-6 col-md-4">
			<div class="card card-stats card-success card-round">
				<div class="card-body ">
					<div class="row">
						<div class="col-5">
							<div class="icon-big text-center">
								<i class="far fa-file"></i>
							</div>
						</div>
						<div class="col-7 col-stats">
							<div class="numbers">
								<p class="card-category">Custom Pages</p>
								<h4 class="card-title"><?php echo e($currentLang->pages()->count()); ?></h4>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>



	<div class="row">
		<div class="col-lg-6">
		  <div class="row row-card-no-pd">
				<div class="col-md-12">
					<div class="card">
						<div class="card-header">
							<div class="card-head-row">
								<h4 class="card-title">Recent Reservation Requests</h4>
							</div>
							<p class="card-category">
							Top 10 latest table reservation requests</p>
						</div>
						<div class="card-body">
				  <div class="row">
					  <div class="col-lg-12">
						  <?php if(count($table_books) == 0): ?>
						  <h3 class="text-center">NO TABLE BOOKING REQUEST FOUND</h3>
						  <?php else: ?>
						  <div class="table-responsive">
							<table class="table table-striped mt-3">
								<thead>
								  <tr>
                                    <th scope="col">Name</th>
                                    <th scope="col">Email</th>
                                    <th scope="col">Details</th>
								  </tr>
								</thead>
								<tbody>
                                    <?php $__currentLoopData = $table_books; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $reservation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                      <td><?php echo e(convertUtf8($reservation->name)); ?></td>
                                      <td><?php echo e(convertUtf8($reservation->email)); ?></td>
                                      <td>
                                        <button class="btn btn-secondary btn-sm" data-toggle="modal" data-target="#detailsModal<?php echo e($reservation->id); ?>"><i class="fas fa-eye"></i> View</button>
                                      </td>
                                    </tr>

                                    <?php if ($__env->exists('admin.reservations.reservation-details')) echo $__env->make('admin.reservations.reservation-details', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
								</tbody>
							  </table>
						  </div>
						  <?php endif; ?>
					  </div>
				  </div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="col-lg-6">
		  <div class="row row-card-no-pd">
				<div class="col-md-12">
					<div class="card">
						<div class="card-header">
							<div class="card-head-row">
								<h4 class="card-title">Recent Orders</h4>
							</div>
							<p class="card-category">
							Top 10 latest orders</p>
						</div>
						<div class="card-body">
							<div class="row">
								<div class="col-md-12">
                                    <?php if(count($orders) > 0): ?>
                                        <div class="table-responsive table-hover table-sales">
                                            <table class="table table-striped mt-3">
                                                <thead>
                                                <tr>
                                                    <th scope="col">Order Number</th>
                                                    <th scope="col">Date</th>
                                                    <th scope="col">Total</th>
                                                    <th scope="col">Payment Status</th>
                                                    <th scope="col">Details</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <tr>
                                                    <td>#<?php echo e($order->order_number); ?></td>
                                                    <td><?php echo e(convertUtf8($order->created_at->format('d-m-Y'))); ?></td>
                                                    <td><?php echo e($order->currency_symbol_position == 'left' ? $order->currency_symbol : ''); ?> <?php echo e(round($order->total,2)); ?> <?php echo e($order->currency_symbol_position == 'right' ? $order->currency_symbol : ''); ?></td>
                                                    <td>
                                                        <?php if($order->payment_status == 'Pending' || $order->payment_status == 'pending'): ?>

                                                        <p class="badge badge-danger"><?php echo e($order->payment_status); ?></p>
                                                        <?php else: ?>
                                                            <p class="badge badge-success"><?php echo e($order->payment_status); ?></p>
                                                        <?php endif; ?>
                                                    </td>

                                                    <td>
                                                        <a href="<?php echo e(route('admin.product.details',$order->id)); ?>" target="_blank" class="btn btn-primary btn-sm "><i class="fas fa-eye"></i> Details</a>

                                                    </td>
                                                    </tr>

                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    <?php else: ?>
                                        <h2 class="text-center">NO ORDER FOUND</h2>
                                    <?php endif; ?>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	  </div>




<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/samiulalimpratik/Sites/superv/installer/superv-2.0/core/resources/views/admin/dashboard.blade.php ENDPATH**/ ?>