<!doctype html>
<html lang="en" <?php if($rtl == 1): ?> dir="rtl" <?php endif; ?>>

<head>
    <!--Start of Google Analytics script-->
    <?php if($bs->is_analytics == 1): ?>
        <?php echo $bs->google_analytics_script; ?>

    <?php endif; ?>
    <!--End of Google Analytics script-->

    <!--====== Required meta tags ======-->
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="<?php echo $__env->yieldContent('meta-description'); ?>">
    <meta name="keywords" content="<?php echo $__env->yieldContent('meta-keywords'); ?>">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <!--====== Title ======-->
    <title><?php echo e($bs->website_title); ?></title>

    <!--====== Favicon Icon ======-->
    <link rel="shortcut icon" href="<?php echo e(asset('assets/front/img/' . $bs->favicon)); ?>" type="image/png">


    <link rel="stylesheet" href="<?php echo e(asset('assets/front/css/plugin.min.css')); ?>">

    <!--====== Default css ======-->

    <link rel="stylesheet" href="<?php echo e(asset('assets/front/css/default.css')); ?>">
    <?php if(count($langs) == 0): ?>
        <style media="screen">
            .support-bar-area ul.social-links li:last-child {
                margin-right: 0px;
            }

            .support-bar-area ul.social-links::after {
                display: none;
            }

        </style>
    <?php endif; ?>
    <?php if($bs->feature_section == 0): ?>
        <style media="screen">
            .hero-txt {
                padding-bottom: 160px;
            }

        </style>
    <?php endif; ?>
    <!--====== Style css ======-->
    <link rel="stylesheet" href="<?php echo e(asset('assets/front/css/style.css')); ?>">
    <link rel="stylesheet"
        href="<?php echo e(asset('assets/front/css/styles.php?color=' . str_replace('#', '', $bs->base_color))); ?>">
    <?php if($rtl == 1): ?>
        <link rel="stylesheet" href="<?php echo e(asset('assets/front/css/rtl.css')); ?>">
    <?php endif; ?>
    <?php if($bs->is_tawkto == 1 || $bs->is_whatsapp == 1): ?>
        <style>
            .go-top-area .go-top.active {
                right: auto;
                left: 20px;
            }

        </style>
    <?php endif; ?>
    <?php echo $__env->yieldContent('style'); ?>

    <!--====== jquery js ======-->
    <script src="<?php echo e(asset('assets/front/js/vendor/modernizr-3.6.0.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/front/js/vendor/jquery.3.2.1.min.js')); ?>"></script>

    <?php if($bs->is_appzi == 1): ?>
        <!-- Start of Appzi Feedback Script -->
        <script async src="https://app.appzi.io/bootstrap/bundle.js?token=<?php echo e($bs->appzi_token); ?>"></script>
        <?php echo $bs->appzi_script; ?>

        <!-- End of Appzi Feedback Script -->
    <?php endif; ?>

    <!-- Start of Facebook Pixel Code -->
    <?php if($be->is_facebook_pexel == 1): ?>
        <?php echo $be->facebook_pexel_script; ?>

    <?php endif; ?>
    <!-- End of Facebook Pixel Code -->

    <?php if($bs->is_recaptcha == 1): ?>
        <script type="text/javascript">
            var onloadCallback = function() {
                if ($("#g-recaptcha").length > 0) {
                    grecaptcha.render('g-recaptcha', {
                        'sitekey': '<?php echo e($bs->google_recaptcha_site_key); ?>'
                    });
                }
            };
        </script>
    <?php endif; ?>

    <link rel="manifest" crossorigin="use-credentials" href="<?php echo e(asset('manifest.json')); ?>"/>
</head>

<body>

    <!--====== PRELOADER PART START ======-->
    <?php if($bs->preloader_status == 1): ?>
        <div id="preloader">
            <div class="loader revolve">
                <img src="<?php echo e(asset('assets/front/img/' . $bs->preloader)); ?>" alt="">
            </div>
        </div>
    <?php endif; ?>
    <!--====== PRELOADER PART ENDS ======-->

    
    <div class="request-loader">
        <img src="<?php echo e(asset('assets/admin/img/loader.gif')); ?>" alt="">
    </div>
    


    <!--====== HEADER PART START ======-->

    <header class="header-area">
        <div class="navigation">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12 text-center">
                        <div class="support-bar">
                            <div class="row">
                                <div class="col-xl-6 d-none d-xl-block">
                                    <div class="infos">
                                        <span><i class="fas fa-envelope-open-text"></i>
                                            <?php echo e(convertUtf8($bs->support_email)); ?></span>
                                        <span><i class="fas fa-phone-alt"></i>
                                            <?php echo e(convertUtf8($bs->support_phone)); ?></span>
                                    </div>
                                </div>
                                <div class="col-lg-12 col-xl-6 col-12">
                                    <div class="links">
                                        <?php if(!empty($socials)): ?>
                                            <ul class="social-links">
                                                <?php $__currentLoopData = $socials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $social): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <li><a href="<?php echo e($social->url); ?>" target="_blank"><i
                                                                class="<?php echo e($social->icon); ?>"></i></a></li>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </ul>
                                        <?php endif; ?>

                                        <?php if(!empty($currentLang)): ?>
                                            <div class="language">
                                                <a class="language-btn" href="#"><i class="fas fa-globe-asia"></i>
                                                    <?php echo e(convertUtf8($currentLang->name)); ?></a>
                                                <ul class="language-dropdown">
                                                    <?php $__currentLoopData = $langs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $lang): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <li><a
                                                                href='<?php echo e(route('changeLanguage', $lang->code)); ?>'><?php echo e(convertUtf8($lang->name)); ?></a>
                                                        </li>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </ul>
                                            </div>
                                        <?php endif; ?>

                                        <?php if(auth()->guard()->guest()): ?>
                                            <ul class="login">
                                                <li><a href="<?php echo e(route('user.login')); ?>"><?php echo e(__('Login')); ?></a></li>
                                            </ul>
                                        <?php endif; ?>
                                        <?php if(auth()->guard()->check()): ?>
                                            <ul class="login">
                                                <li><a href="<?php echo e(route('user-dashboard')); ?>"><?php echo e(__('Dashboard')); ?></a>
                                                </li>
                                            </ul>
                                        <?php endif; ?>
                                        <div id="cartQuantity" class="cart">
                                            <a href="<?php echo e(route('front.cart')); ?>">
                                                <i class="fas fa-cart-plus"></i>
                                                <?php
                                                    $itemsCount = 0;
                                                    $cart = session()->get('cart');
                                                    if (!empty($cart)) {
                                                        foreach ($cart as $p) {
                                                            $itemsCount += $p['qty'];
                                                        }
                                                    }
                                                ?>
                                                <span class="cart-quantity"><?php echo e($itemsCount); ?></span>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <nav class="navbar navbar-expand-lg">
                            <a class="navbar-brand" href="<?php echo e(route('front.index')); ?>">
                                <img src="<?php echo e(asset('assets/front/img/' . $bs->logo)); ?>" alt="Logo">
                            </a> <!-- logo -->

                            <button class="navbar-toggler" type="button" data-toggle="collapse"
                                data-target="#navbarFive" aria-controls="navbarFive" aria-expanded="false"
                                aria-label="Toggle navigation">
                                <span class="toggler-icon"></span>
                                <span class="toggler-icon"></span>
                                <span class="toggler-icon"></span>
                            </button> <!-- navbar toggler -->
                            <div class="collapse navbar-collapse sub-menu-bar" id="navbarFive">
                                <ul class="navbar-nav m-xl-auto mr-auto">
                                    <?php
                                        $links = json_decode($menus, true);
                                        //  dd($links);
                                    ?>

                                    <?php $__currentLoopData = $links; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $link): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php
                                            $href = getHref($link);
                                        ?>

                                        <?php if(!array_key_exists('children', $link)): ?>
                                            
                                            <li class="nav-item"><a class="page-scroll"
                                                    href="<?php echo e($href); ?>"
                                                    target="<?php echo e($link['target']); ?>"><?php echo e($link['text']); ?></a>
                                            </li>
                                        <?php else: ?>
                                            
                                            <li class="nav-item"><a class="page-scroll"
                                                    href="<?php echo e($href); ?>"
                                                    target="<?php echo e($link['target']); ?>"><?php echo e($link['text']); ?> <i
                                                        class="fa fa-angle-down"></i></a>


                                                
                                                <ul class="sub-menu">
                                                    <?php $__currentLoopData = $link['children']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $level2): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php
                                                            $l2Href = getHref($level2);
                                                        ?>
                                                        <li
                                                            class="nav-item <?php if(array_key_exists('children', $level2)): ?> submenus <?php endif; ?>">
                                                            <a class="page-scroll" href="<?php echo e($l2Href); ?>"
                                                                target="<?php echo e($level2['target']); ?>"><?php echo e($level2['text']); ?></a>

                                                            
                                                            <?php
                                                                if (array_key_exists('children', $level2)) {
                                                                    create_menu($level2);
                                                                }
                                                            ?>
                                                            

                                                        </li>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </ul>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                                    <?php if($bs->is_quote): ?>
                                        <li class="nav-item d-block d-sm-none"><a class="page-scroll"
                                                href="<?php echo e(route('front.reservation')); ?>"><?php echo e(__('Reservation')); ?></a>
                                        </li>
                                    <?php endif; ?>
                                    <?php if($bs->website_call_waiter == 1): ?>
                                        <li class="nav-item d-block d-sm-none"><a class="page-scroll"
                                                data-toggle="modal"
                                                data-target="#callWaiterModal"><?php echo e(__('Call Waiter')); ?></a>
                                        </li>
                                    <?php endif; ?>

                                </ul>
                            </div>

                            <div class="navbar-btns d-flex align-items-center">
                                <div class="header-times">
                                    <i class="flaticon-time"></i>
                                    <span><?php echo e(__('Opening Time')); ?></span>
                                    <p><?php echo e($bs->office_time); ?></p>
                                </div>
                                <?php if($bs->is_quote): ?>
                                    <a class="main-btn main-btn-2 d-none d-sm-inline-block"
                                        href="<?php echo e(route('front.reservation')); ?>"><?php echo e(__('Reservation')); ?></a>
                                <?php endif; ?>
                                <?php if($bs->website_call_waiter == 1): ?>
                                    <a class="main-btn main-btn d-none d-sm-inline-block text-white ml-2"
                                        data-toggle="modal"
                                        data-target="#callWaiterModal"><?php echo e(__('Call Waiter')); ?></a>
                                <?php endif; ?>
                            </div>
                        </nav> <!-- navbar -->
                    </div>
                </div> <!-- row -->
            </div> <!-- container -->
        </div>
    </header>

    <!--====== HEADER PART ENDS ======-->

    <?php echo $__env->yieldContent('content'); ?>
    
    <?php if ($__env->exists('front.partials.popups')) echo $__env->make('front.partials.popups', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    

    
    <!--====== FOOTER PART START ======-->
    <?php if($bs->top_footer_section == 1): ?>
        <footer class="footer-area footer-area-2">
            <div class="container">
                <div class="row">
                    <div class="col-lg-3 col-md-6 col-sm-6">
                        <div class="footer-widget-1">
                            <div class="header-times d-none d-md-inline-block">
                                <i class="flaticon-time"></i>
                                <h5><?php echo e(__('Opening Time')); ?></h5>
                                <span><?php echo e(convertUtf8($bs->office_time)); ?></span>
                            </div>
                            <p><?php echo e(convertUtf8($bs->footer_text)); ?></p>

                            <div class="add-to">
                                <button class="add-to-btn">Add to home screen</button>
                            </div>
                            
                            <ul>
                                <?php $__currentLoopData = $socials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $social_link): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><a href="<?php echo e($social_link->url); ?>"><i
                                                class="<?php echo e($social_link->icon); ?>"></i></a>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    </div>
                    <div class="col-lg-6 order-3 order-lg-2">
                        <div class="footer-widget-2 text-left text-sm-center >
                            <a href="
                            <?php echo e(route('front.index')); ?>"><img
                                src="<?php echo e(asset('assets/front/img/' . $bs->footer_logo)); ?>" alt="logo"></a>
                            <ul class="pt-25">
                                <?php
                                    $blinks = App\Models\Bottomlink::where('language_id', $currentLang->id)
                                        ->orderby('id', 'desc')
                                        ->get();
                                ?>
                                <?php $__currentLoopData = $blinks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $blink): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><a href="<?php echo e($blink->url); ?>"><?php echo e(convertUtf8($blink->name)); ?></a></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                            <?php if(!empty($be->footer_bottom_img)): ?>
                                <a class="pt-30" href="javascript:;">
                                    <img class="lazy"
                                        data-src="<?php echo e(asset('assets/front/img/' . $be->footer_bottom_img)); ?>" alt="">
                                </a>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-6 order-2 order-lg-3">
                        <h3 class="subscribe-title"><?php echo e(__('Subscribe Here')); ?></h3>
                        <form id="footerSubscribe" action="<?php echo e(route('front.subscribe')); ?>" method="post"
                            class="subscribe-form subscribeForm">
                            <?php echo csrf_field(); ?>
                            <div class="subscribe-inputs">
                                <input name="email" type="text" placeholder="<?php echo e(__('Enter Your Email')); ?>">
                                <button type="submit"><i class="far fa-paper-plane"></i></button>
                            </div>
                            <p id="erremail" class="text-danger mb-0 err-email"></p>
                        </form>
                        <div class="footer-widget-3">
                            <ul>
                                <?php
                                    $ulinks = App\Models\Ulink::where('language_id', $currentLang->id)
                                        ->orderby('id', 'desc')
                                        ->get();
                                ?>

                                <?php $__currentLoopData = $ulinks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ulink): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><a href="<?php echo e($ulink->url); ?>">+ <?php echo e(convertUtf8($ulink->name)); ?></a></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>

                        </div>
                    </div>
                </div>
            </div>
        </footer>
    <?php endif; ?>
    <?php if($bs->copyright_section == 1): ?>
        <div class="footer-copyright-area">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="footer-copyright d-block justify-content-center d-md-flex">
                            <?php echo nl2br(replaceBaseUrl(convertUtf8($bs->copyright_text))); ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>

    <!--====== FOOTER PART ENDS ======-->

    <!--====== GO TO TOP PART START ======-->

    <div class="go-top-area">
        <div class="go-top-wrap">
            <div class="go-top-btn-wrap">
                <div class="go-top go-top-btn">
                    <i class="fa fa-angle-double-up"></i>
                    <i class="fa fa-angle-double-up"></i>
                </div>
            </div>
        </div>
    </div>

    <!--====== GO TO TOP PART ENDS ======-->

    
    <div id="WAButton"></div>

    
    <div class="cookie">
        <?php echo $__env->make('cookie-consent::index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
    

    
    <div class="modal fade" id="callWaiterModal" tabindex="-1" role="dialog" aria-labelledby="callWaiterModalTitle"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle"><?php echo e(__('Call Waiter')); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <?php
                        $tables = \App\Table::where('status', 1)->get();
                    ?>
                    <form id="callWaiterForm" action="<?php echo e(route('front.callwaiter')); ?>" method="GET">
                        <select class="form-control" name="table" required>
                            <option value="" disabled selected><?php echo e(__('Select a Table')); ?></option>
                            <?php $__currentLoopData = $tables; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $table): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($table->table_no); ?>"><?php echo e(__('Table')); ?> -
                                    <?php echo e($table->table_no); ?>

                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="submit" form="callWaiterForm"
                        class="btn base-btn text-white"><?php echo e(__('Call Waiter')); ?></button>
                </div>
            </div>
        </div>
    </div>
    


    <script>
        "use strict";
        var mainurl = "<?php echo e(url('/')); ?>";
        var lat = '<?php echo e($bs->latitude); ?>';
        var lng = '<?php echo e($bs->longitude); ?>';
        var rtl = <?php echo e($rtl); ?>;
        var position = "<?php echo e($be->base_currency_symbol_position); ?>";
        var symbol = "<?php echo e($be->base_currency_symbol); ?>";
        var textPosition = "<?php echo e($be->base_currency_text_position); ?>";
        var currText = "<?php echo e($be->base_currency_text); ?>";
        var vap_pub_key = "<?php echo e(env('VAPID_PUBLIC_KEY')); ?>";
        var select = "<?php echo e(__('Select')); ?>";
    </script>

    <script src="https://www.google.com/recaptcha/api.js?onload=onloadCallback&render=explicit" async defer>
    </script>
    
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js"></script>

    <!--====== Plugin min js ======-->
    <script src="<?php echo e(asset('assets/front/js/plugin.min.js')); ?>"></script>
    <!--====== Push Notification js ======-->
    <script src="<?php echo e(asset('assets/front/js/pwa.js')); ?>" defer></script>
    <!--====== Misc js ======-->
    <script src="<?php echo e(asset('assets/front/js/misc.js')); ?>"></script>
    <!--====== Main js ======-->
    <script src="<?php echo e(asset('assets/front/js/main.js')); ?>"></script>
    <!--====== Cart js ======-->
    <script src="<?php echo e(asset('assets/front/js/cart.js')); ?>"></script>

    
    <?php if($bs->is_whatsapp == 1): ?>
        <script type="text/javascript">
            var whatsapp_popup = <?php echo e($bs->whatsapp_popup); ?>;
            var whatsappImg = "<?php echo e(asset('assets/front/img/whatsapp.svg')); ?>";
            $(function() {
                $('#WAButton').floatingWhatsApp({
                    phone: "<?php echo e($bs->whatsapp_number); ?>", //WhatsApp Business phone number
                    headerTitle: "<?php echo e($bs->whatsapp_header_title); ?>", //Popup Title
                    popupMessage: `<?php echo nl2br($bs->whatsapp_popup_message); ?>`, //Popup Message
                    showPopup: whatsapp_popup == 1 ? true : false, //Enables popup display
                    buttonImage: '<img src="' + whatsappImg + '" />', //Button Image
                    position: "right" //Position: left | right

                });
            });
        </script>
    <?php endif; ?>

    <script>
        $(document).ready(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
        });
    </script>

    <?php echo $__env->yieldContent('script'); ?>

    <?php if(session()->has('success')): ?>
        <script>
            "use strict";
            toastr["success"]("<?php echo e(__(session('success'))); ?>");
        </script>
    <?php endif; ?>

    <?php if(session()->has('warning')): ?>
        <script>
            "use strict";
            toastr["warning"]("<?php echo e(__(session('warning'))); ?>");
        </script>
    <?php endif; ?>

    <?php if(session()->has('error')): ?>
        <script>
            "use strict";
            toastr["error"]("<?php echo e(__(session('error'))); ?>");
        </script>
    <?php endif; ?>

    <!--Start of Tawk.to script-->
    <?php if($bs->is_tawkto == 1): ?>
        <?php echo $bs->tawk_to_script; ?>

    <?php endif; ?>
    <!--End of Tawk.to script-->

    <!--Start of AddThis script-->
    <?php if($bs->is_addthis == 1): ?>
        <?php echo $bs->addthis_script; ?>

    <?php endif; ?>
    <!--End of AddThis script-->
</body>

</html>
<?php /**PATH /Users/samiulalimpratik/Sites/superv/installer/superv-2.0/core/resources/views/front/layout.blade.php ENDPATH**/ ?>