<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title><?php echo e($bs->website_title); ?></title>

    <!--====== Favicon Icon ======-->
    <link rel="shortcut icon" href="<?php echo e(asset('assets/front/img/'.$bs->favicon)); ?>" type="image/png">
    <!--====== Bootstrap css ======-->
    <link rel="stylesheet" href="<?php echo e(asset('assets/front/css/bootstrap.min.css')); ?>">
    <link type="text/css" rel="stylesheet" href="<?php echo e(asset('assets/front/css/qr-plugins.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/front/css/qr-menu.css')); ?>">
    <?php if($currentLang->rtl == 1): ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/front/css/qr-rtl.css')); ?>">
    <?php endif; ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/front/css/qr-styles.php?color='.str_replace('#','',$bs->base_color))); ?>">
    <!--====== jquery js ======-->
    <script src="<?php echo e(asset('assets/front/js/vendor/jquery.3.2.1.min.js')); ?>"></script>

    <?php if($bs->is_recaptcha == 1): ?>
    <script type="text/javascript">
      var onloadCallback = function() {
        grecaptcha.render('g-recaptcha', {
          'sitekey' : '<?php echo e($bs->google_recaptcha_site_key); ?>'
        });
      };
    </script>
    <?php endif; ?>
</head>
<body class="qr-menu">
    <div class="header">
        <div class="container">


            <div class="row no-gutters align-items-center">

                <div class="col-3">

                    <div class="logo-wrapper">
                        <a href="<?php echo e(route('front.qrmenu')); ?>"><img src="<?php echo e(asset('assets/front/img/'.$bs->logo)); ?>" alt="Logo"></a>
                    </div>
                </div>

                <div class="col-9 d-flex justify-content-end">
                    <form id="langForm" action="" class='mr-2'>
                        <select class="form-control form-control-md" onchange="document.getElementById('langForm').setAttribute('action', '<?php echo e(url('changelanguage')); ?>' + '/' + this.value + '/qr'); document.getElementById('langForm').submit()">
                            <?php $__currentLoopData = $langs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($lang->code); ?>" <?php echo e($currentLang->code == $lang->code ? 'selected' : ''); ?>><?php echo e($lang->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </form>
                    <?php if(Auth::check() || $bs->qr_call_waiter == 1): ?>
                        <div class="dropdown">
                            <button class="btn base-btn text-white dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="fas fa-bars"></i>
                            </button>
                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">
                                <?php if($bs->qr_call_waiter == 1): ?>
                                <a class="dropdown-item" data-toggle="modal" data-target="#callWaiterModal"><?php echo e(__('Call Waiter')); ?></a>
                                <?php endif; ?>
                                <?php if(auth()->guard()->check()): ?>
                                <a class="dropdown-item" href="<?php echo e(route('front.qrmenu.logout')); ?>"><?php echo e(__('Logout')); ?></a>
                                <?php endif; ?>
                            </div>
                        </div>
                    <?php endif; ?>

                </div>
            </div>
        </div>
    </div>

    <div class="qr-breadcrumb lazy" data-bg="<?php echo e(asset('assets/front/img/'.$bs->breadcrumb)); ?>">
        <div class="container">
            <div class="qr-breadcrumb-details">
                <h2><?php echo e($bs->website_title); ?></h2>
                <small><?php echo e(__('Working Hours')); ?>: <?php echo e($bs->office_time); ?></small>
            </div>
            <h4 class="qr-page-heading">
                <?php echo $__env->yieldContent('page-heading'); ?>
            </h4>
        </div>
    </div>


    <?php echo $__env->yieldContent('content'); ?>

    
    <div class="request-loader">
        <img src="<?php echo e(asset('assets/admin/img/loader.gif')); ?>" alt="">
    </div>
    

    
    <div class="cart-icon">
        <div id="cartQuantity">
            <img src="<?php echo e(asset('assets/front/img/static/cart-icon.png')); ?>" alt="Cart Icon">
            <span class="cart-count"><?php echo e($itemsCount); ?></span>
        </div>
    </div>
    


    
    <?php if ($__env->exists('front.qrmenu.partials.qr-cart-sidebar')) echo $__env->make('front.qrmenu.partials.qr-cart-sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    


    
    <div class="modal fade" id="callWaiterModal" tabindex="-1" role="dialog" aria-labelledby="callWaiterModalTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle"><?php echo e(__('Call Waiter')); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <?php
                        $tables = \App\Table::where('status', 1)->get();
                    ?>
                    <form id="callWaiterForm" action="<?php echo e(route('front.callwaiter')); ?>" method="GET">
                        <select class="form-control" name="table" required>
                            <option value="" disabled selected><?php echo e(__('Select a Table')); ?></option>
                            <?php $__currentLoopData = $tables; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $table): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($table->table_no); ?>"><?php echo e(__('Table')); ?> - <?php echo e($table->table_no); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="submit" form="callWaiterForm" class="btn base-btn text-white"><?php echo e(__('Call Waiter')); ?></button>
                </div>
            </div>
        </div>
    </div>
    

    
    <script>
        var mainurl = "<?php echo e(url('/')); ?>";
        var position = "<?php echo e($be->base_currency_symbol_position); ?>";
        var symbol = "<?php echo e($be->base_currency_symbol); ?>";
        var textPosition = "<?php echo e($be->base_currency_text_position); ?>";
        var currText = "<?php echo e($be->base_currency_text); ?>";
        var select = "<?php echo e(__('Select')); ?>";
    </script>
    <script src="https://www.google.com/recaptcha/api.js?onload=onloadCallback&render=explicit"
        async defer>
    </script>
    <!--====== Bootstrap js ======-->
    <script src="<?php echo e(asset('assets/front/js/popper.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/front/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/front/js/qr-plugins.js')); ?>"></script>
    <script>
        $(document).ready(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            $( "input.datepicker" ).datepicker();
            $('input.timepicker').timepicker();

            var $foodItems;


            function initSubcatIsotope() {
                setTimeout(function() {
                    $foodItems = $('.food-menu-items').isotope({
                        itemSelector: '.single-menu-item',
                        layoutMode: 'vertical'
                    });
                }, 100);
            }

            initSubcatIsotope();


            $('a[data-toggle="pill"]').on('shown.bs.tab', function (e) {
                initSubcatIsotope();
                setTimeout(function() {
                    let id = $(e.target).attr('href');
                    $(id + " button.is-checked").trigger('click');
                }, 200);
            });


            // bind filter button click
            $('.filters-button-group').on( 'click', 'button', function() {
                var filterValue = $( this ).attr('data-filter');
                $foodItems.isotope({ filter: filterValue });
            });
            // change is-checked class on buttons
            $('.button-group').each( function( i, buttonGroup ) {
                var $buttonGroup = $( buttonGroup );
                $buttonGroup.on( 'click', 'button', function() {
                $buttonGroup.find('.is-checked').removeClass('is-checked');
                $( this ).addClass('is-checked');
                });
            });
        });

        $(document).on('click', '.qty-add', function() {
            $(".cart-sidebar-loader-container").addClass('show');

            let $this = $(this);
            let key = $(this).data('key');
            let $input = $this.prev('input');
            $input.val(parseInt($input.val()) + 1);
            let qty = $input.val();

            changeQty(key, qty);
        });

        $(document).on('click', '.qty-sub', function() {
            $(".cart-sidebar-loader-container").addClass('show');

            let $this = $(this);
            let key = $(this).data('key');
            let $input = $this.next('input');
            if ($input.val() <= 1) {
                toastr["error"]("Quantity must be minimum 1");
                $(".cart-sidebar-loader-container").removeClass('show');
                return;
            }
            $input.val(parseInt($input.val()) - 1);
            let qty = $input.val();

            changeQty(key, qty);
        });

        function changeQty(key, qty) {
            let fd = new FormData();
            fd.append('qty', qty);
            fd.append('key', key);
            $.ajax({
                url: "<?php echo e(route('front.qr.qtyChange')); ?>",
                type: 'POST',
                data: fd,
                contentType: false,
                processData: false,
                success: function(data) {
                    toastr['success']('Quantity updated');
                    $("#cartQuantity").load(location.href + " #cartQuantity");
                    $("#refreshDiv").load(location.href + " #refreshDiv", function() {
                        setTimeout(function() {
                            $(".cart-sidebar-loader-container").removeClass('show');
                        }, 100);
                    });
                }
            })
        }


        $(document).on('click', '.cart-item .close', function() {
            $(".cart-sidebar-loader-container").addClass('show');
            let $this = $(this);
            let key = $this.data('key');
            let fd = new FormData();
            fd.append('key', key);

            $.ajax({
                url: "<?php echo e(route('front.qr.remove')); ?>",
                type: 'POST',
                data: fd,
                contentType: false,
                processData: false,
                success: function(data) {
                    // console.log(data);
                    toastr['success']('Item removed');
                    $("#cartQuantity").load(location.href + " #cartQuantity");
                    $("#refreshDiv").load(location.href + " #refreshDiv", function() {
                        setTimeout(function() {
                            $(".cart-sidebar-loader-container").removeClass('show');
                        }, 100);
                    })
                }
            })
        })
    </script>
    <script src="<?php echo e(asset('assets/front/js/qr-cart.js')); ?>"></script>

    <?php if(session()->has('success')): ?>
    <script>
        "use strict";
        toastr["success"]("<?php echo e(__(session('success'))); ?>");
    </script>
    <?php endif; ?>

    <?php if(session()->has('warning')): ?>
    <script>
        "use strict";
        toastr["warning"]("<?php echo e(__(session('warning'))); ?>");
    </script>
    <?php endif; ?>

    <?php if(session()->has('error')): ?>
    <script>
        "use strict";
        toastr["error"]("<?php echo e(__(session('error'))); ?>");
    </script>
    <?php endif; ?>

    <?php echo $__env->yieldContent('script'); ?>
</body>
</html>
<?php /**PATH /Users/samiulalimpratik/Sites/superv/superv/core/resources/views/front/qrmenu/layout.blade.php ENDPATH**/ ?>