

<?php $__env->startSection('pagename'); ?>
 -
 <?php echo e(__('Product')); ?>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('styles'); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/front/css/jquery-ui.min.css')); ?>">
<?php $__env->stopSection(); ?>


<?php $__env->startSection('content'); ?>


  <section class="page-title-area d-flex align-items-center lazy" data-bg="<?php echo e(asset('assets/front/img/' . $bs->breadcrumb)); ?>" style="background-size: cover;">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="page-title-item text-center">
                    <h2 class="title"><?php echo e(convertUtf8($bs->cart_title)); ?></h2>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo e(route('front.index')); ?>"><i class="flaticon-home"></i><?php echo e(__('Home')); ?></a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?php echo e(convertUtf8($bs->cart_title)); ?></li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </div>
</section>
<!--====== PAGE TITLE PART ENDS ======-->

<!--====== SHOPPING CART PART START ======-->

<section class="cart-area">
    <div class="container">
        <div class="row">
            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
                <div id="refreshDiv">
                    <?php if($cart != null): ?>
                        <ul class="total-item-info">
                            <?php
                                $cartTotal = 0;
                                $countitem = 0;
                                if($cart){
                                foreach($cart as $p){
                                    $cartTotal += $p['total'];
                                    $countitem += $p['qty'];
                                }
                            }
                            ?>
                            <li><span><?php echo e(__('Your Cart')); ?>:</span> <span class="cart-item-view"><?php echo e($cart ? $countitem : 0); ?></span> <?php echo e(__('Items')); ?></li>
                            <li style="direction: ltr;"><span><?php echo e(__('Total')); ?> :</span> <?php echo e($be->base_currency_symbol_position == 'left' ? $be->base_currency_symbol : ''); ?> <span class="cart-total-view"><?php echo e($cartTotal); ?></span> <?php echo e($be->base_currency_symbol_position == 'right' ? $be->base_currency_symbol : ''); ?></li>
                        </ul>

                    <?php endif; ?>
                    <div class="table-outer">
                        <?php if($cart != null): ?>
                        <table class="cart-table">
                            <thead class="cart-header">
                                <tr>
                                    <th class="prod-column"><?php echo e(__('Product')); ?></th>
                                    <th><?php echo e(__('Product Title')); ?></th>
                                    <th><?php echo e(__('Quantity')); ?></th>
                                    <th class="price"><?php echo e(__('Price')); ?></th>
                                    <th><?php echo e(__('Total')); ?></th>
                                    <th><?php echo e(__('Remove')); ?></th>
                                </tr>
                            </thead>
                            <tbody>

                                <?php $__currentLoopData = $cart; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php
                                    $id = $item["id"];
                                    $product = App\Models\Product::findOrFail($id);
                                ?>
                                <tr class="remove<?php echo e($id); ?>">

                                    <td class="prod-column">
                                        <div class="column-box">
                                            <div class="prod-thumb">
                                                <a href="<?php echo e(route('front.product.details',[$product->slug,$product->id])); ?>">
                                                    <img src="<?php echo e(asset('assets/front/img/product/featured/'.$item['photo'])); ?>" alt="">
                                                </a>
                                            </div>
                                        </div>
                                    </td>
                                    <td>
                                        <div class="title">
                                            <a target="_blank" href="<?php echo e(route('front.product.details',[$product->slug,$product->id])); ?>">
                                                <h5 class="prod-title"><?php echo e(convertUtf8($item['name'])); ?></h5>
                                            </a>
                                            <?php if(!empty($item["variations"])): ?>
                                                <p><strong><?php echo e(__("Variation")); ?>:</strong> <br>
                                                    <?php
                                                        $variations = $item["variations"];
                                                    ?>
                                                    <?php $__currentLoopData = $variations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vKey => $variation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <span class="text-capitalize"><?php echo e(str_replace("_"," ",$vKey)); ?>:</span> <?php echo e($variation["name"]); ?>

                                                        <?php if(!$loop->last): ?>
                                                        ,
                                                        <?php endif; ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>    
                                                </p>
                                            <?php endif; ?>
                                            <?php if(!empty($item["addons"])): ?>
                                                <p>
                                                    <strong><?php echo e(__("Add On's")); ?>:</strong><br>
                                                    <?php
                                                        $addons = $item["addons"];
                                                    ?>
                                                    <?php $__currentLoopData = $addons; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $addon): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php echo e($addon["name"]); ?>

                                                        <?php if(!$loop->last): ?>
                                                        ,
                                                        <?php endif; ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </p>
                                            <?php endif; ?>
                                        </div>
                                    </td>
                                    <td class="qty">
                                        <div class="product-quantity d-flex" id="quantity">
                                            <button type="button" id="sub" class="sub">-</button>
                                            <input type="text" class="cart_qty" id="1" value="<?php echo e($item['qty']); ?>" />
                                            <button type="button" id="add" class="add">+</button>
                                        </div>
                                    </td>
                                    <input type="hidden" value="<?php echo e($id); ?>" class="product_id">
                                    <td class="price cart_price">
                                        <p>
                                            <strong><?php echo e(__("Product")); ?>:</strong>
                                            <?php echo e($be->base_currency_symbol_position == 'left' ? $be->base_currency_symbol : ''); ?><span><?php echo e($item['product_price'] * $item["qty"]); ?></span><?php echo e($be->base_currency_symbol_position == 'right' ? $be->base_currency_symbol : ''); ?>

                                        </p>
                                        <?php if(!empty($item['variations'])): ?>
                                            <p>

                                                <strong><?php echo e(__("Variation")); ?>: </strong>
                                                <?php
                                                    $variations = $item['variations'];
                                                    $price = 0;
                                                    foreach ($variations as $vKey => $variation) {
                                                        if (is_array($variation) && array_key_exists('price', $variation)) {
                                                            $price += $variation['price'];
                                                        }
                                                    }
                                                ?>
                                                <?php echo e($be->base_currency_symbol_position == 'left' ? $be->base_currency_symbol : ''); ?><span><?php echo e($price * $item["qty"]); ?></span><?php echo e($be->base_currency_symbol_position == 'right' ? $be->base_currency_symbol : ''); ?>

                                            </p>
                                        <?php endif; ?>
                                        <?php if(!empty($item['addons'])): ?>
                                            <p>
                                                <strong><?php echo e(__("Add On's")); ?>: </strong>
                                                <?php
                                                    $addons = $item['addons'];
                                                    $addonTotal = 0;
                                                    foreach ($addons as $addon) {
                                                        $addonTotal += $addon["price"];
                                                    }
                                                ?>
                                                <?php echo e($be->base_currency_symbol_position == 'left' ? $be->base_currency_symbol : ''); ?><span><?php echo e($addonTotal * $item["qty"]); ?></span><?php echo e($be->base_currency_symbol_position == 'right' ? $be->base_currency_symbol : ''); ?>

                                            </p>
                                        <?php endif; ?>
                                    </td>
                                    <td class="sub-total">
                                        <?php echo e($be->base_currency_symbol_position == 'left' ? $be->base_currency_symbol : ''); ?>

                                        <?php echo e($item['total']); ?>

                                        <?php echo e($be->base_currency_symbol_position == 'right' ? $be->base_currency_symbol : ''); ?>

                                    </td>
                                    <td>
                                        <div class="remove">
                                            <div class="checkbox">
                                            <span class="fas fa-times item-remove" data-href="<?php echo e(route('cart.item.remove',$key)); ?>"></span>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                        <?php else: ?>
                            <div class="bg-light py-5 text-center">
                                <h3 class="text-uppercase"><?php echo e(__('Cart is empty!')); ?></h3>
                            </div>
                        <?php endif; ?>
                    </div>
                    <?php if($cart != null): ?>
                        <div class="row cart-middle">
                            <div class="col-lg-6 offset-lg-6 col-sm-12">
                                <div class="update-cart float-right d-inline-block ml-4">
                                    <a class="main-btn main-btn-2 proceed-checkout-btn" href="<?php echo e(route('front.checkout')); ?>"><span><?php echo e(__('Checkout')); ?></span></a>
                                </div>
                                <div class="update-cart float-right d-inline-block">
                                    <button class="main-btn main-btn-2" id="cartUpdate" data-href="<?php echo e(route('cart.update')); ?>" type="button"><span><?php echo e(__('Update Cart')); ?></span></button>
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>

                </div>
            </div>
        </div>
    </div>
</section>

<!--====== SHOPPING CART PART ENDS ======-->

<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts'); ?>
<script>
    "use strict";
    var symbol = "<?php echo e($be->base_currency_symbol); ?>";
    var position = "<?php echo e($be->base_currency_symbol_position); ?>";
</script>
<script src="<?php echo e(asset('assets/front/js/jquery.ui.js')); ?>"></script>
<script src="<?php echo e(asset('assets/front/js/product.js')); ?>"></script>
<script src="<?php echo e(asset('assets/front/js/cart.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('front.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/samiulalimpratik/Sites/superv/superv/core/resources/views/front/product/cart.blade.php ENDPATH**/ ?>