<?php
$default = \App\Models\Language::where('is_default', 1)->first();
$admin = Auth::guard('admin')->user();
if (!empty($admin->role)) {
    $permissions = $admin->role->permissions;
    $permissions = json_decode($permissions, true);
}
?>

<div class="sidebar sidebar-style-2" data-background-color="dark2">
    <div class="sidebar-wrapper scrollbar scrollbar-inner">
        <div class="sidebar-content">
            <div class="user">
                <div class="avatar-sm float-left mr-2">
                    <?php if(!empty(Auth::guard('admin')->user()->image)): ?>
                        <img src="<?php echo e(asset('assets/admin/img/propics/' . Auth::guard('admin')->user()->image)); ?>"
                            alt="..." class="avatar-img rounded">
                    <?php else: ?>
                        <img src="<?php echo e(asset('assets/admin/img/propics/blank_user.jpg')); ?>" alt="..."
                            class="avatar-img rounded">
                    <?php endif; ?>
                </div>
                <div class="info">
                    <a data-toggle="collapse" href="#collapseExample" aria-expanded="true">
                        <span>
                            <?php echo e(Auth::guard('admin')->user()->first_name); ?>

                            <?php if(empty(Auth::guard('admin')->user()->role)): ?>
                                <span class="user-level">Owner</span>
                            <?php else: ?>
                                <span class="user-level"><?php echo e(Auth::guard('admin')->user()->role->name); ?></span>
                            <?php endif; ?>
                            <span class="caret"></span>
                        </span>
                    </a>
                    <div class="clearfix"></div>

                    <div class="collapse in" id="collapseExample">
                        <ul class="nav">
                            <li>
                                <a href="<?php echo e(route('admin.editProfile')); ?>">
                                    <span class="link-collapse">Edit Profile</span>
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo e(route('admin.changePass')); ?>">
                                    <span class="link-collapse">Change Password</span>
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo e(route('admin.logout')); ?>">
                                    <span class="link-collapse">Logout</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <ul class="nav nav-primary">
                <div class="row mb-2">
                    <div class="col-12">
                        <form action="">
                            <div class="form-group py-0">
                                <input name="term" type="text" class="form-control sidebar-search" value=""
                                    placeholder="Search Menu Here...">
                            </div>
                        </form>
                    </div>
                </div>

                <?php if(empty($admin->role) || (!empty($permissions) && in_array('Dashboard', $permissions))): ?>
                    
                    <li class="nav-item <?php if(request()->path() == 'admin/dashboard'): ?> active <?php endif; ?>">
                        <a href="<?php echo e(route('admin.dashboard')); ?>">
                            <i class="la flaticon-paint-palette"></i>
                            <p>Dashboard</p>
                        </a>
                    </li>
                <?php endif; ?>


                
                <?php if(empty($admin->role) || (!empty($permissions) && in_array('POS', $permissions))): ?>
                    
                    <li
                        class="nav-item
          <?php if(request()->path() == 'admin/pos'): ?> active
          <?php elseif(request()->path() == 'admin/pos/payment-methods'): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#pos">
                            <i class="fas fa-cart-plus"></i>
                            <p>POS</p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
            <?php if(request()->path() == 'admin/pos'): ?> show
            <?php elseif(request()->path() == 'admin/pos/payment-methods'): ?> show <?php endif; ?>"
                            id="pos">
                            <ul class="nav nav-collapse">
                                <li class="<?php if(request()->path() == 'admin/pos'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.pos')); ?>">
                                        <span class="sub-item">POS</span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'admin/pos/payment-methods'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.pos.pmethod.index')); ?>">
                                        <span class="sub-item">Payment Methods</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>


                <?php if(empty($admin->role) || (!empty($permissions) && in_array('Order Management', $permissions))): ?>
                    
                    <li
                        class="nav-item
          <?php if(request()->path() == 'admin/product/orders'): ?> active
          <?php elseif(request()->path() == 'admin/order/settings'): ?> active
          <?php elseif(request()->is('admin/product/orders/detais/*')): ?> active
          <?php elseif(request()->is('admin/product/order/serving-methods')): ?> active
          <?php elseif(request()->routeIs('admin.postalcode.index')): ?> active
          <?php elseif(request()->path() == 'admin/shipping'): ?> active
          <?php elseif(request()->routeIs('admin.shipping.edit')): ?> active
          <?php elseif(request()->path() == 'admin/coupon'): ?> active
          <?php elseif(request()->routeIs('admin.coupon.edit')): ?> active
          <?php elseif(request()->path() == 'admin/ordertime'): ?> active
          <?php elseif(request()->path() == 'admin/deliverytime'): ?> active
          <?php elseif(request()->path() == 'admin/timeframes'): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#orderManagement">
                            <i class="fas fa-box"></i>
                            <p>Order Management</p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
            <?php if(request()->path() == 'admin/product/orders'): ?> show
            <?php elseif(request()->path() == 'admin/order/settings'): ?> show
            <?php elseif(request()->is('admin/product/orders/detais/*')): ?> show
            <?php elseif(request()->is('admin/product/order/serving-methods')): ?> show
            <?php elseif(request()->routeIs('admin.postalcode.index')): ?> show
            <?php elseif(request()->path() == 'admin/shipping'): ?> show
            <?php elseif(request()->routeIs('admin.shipping.edit')): ?> show
            <?php elseif(request()->path() == 'admin/coupon'): ?> show
            <?php elseif(request()->routeIs('admin.coupon.edit')): ?> show
            <?php elseif(request()->path() == 'admin/ordertime'): ?> show
            <?php elseif(request()->path() == 'admin/deliverytime'): ?> show
            <?php elseif(request()->path() == 'admin/timeframes'): ?> show <?php endif; ?>"
                            id="orderManagement">
                            <ul class="nav nav-collapse">
                                <li class="
                <?php if(request()->path() == 'admin/order/settings'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.order.settings')); ?>">
                                        <span class="sub-item">Settings</span>
                                    </a>
                                </li>

                                <li
                                    class="
                <?php if(request()->path() == 'admin/product/orders'): ?> active
                <?php elseif(request()->is('admin/product/orders/detais/*')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.product.orders')); ?>">
                                        <span class="sub-item">Orders</span>
                                    </a>
                                </li>

                                <li class="
                <?php if(request()->is('admin/product/order/serving-methods')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.product.servingMethods')); ?>">
                                        <span class="sub-item">Serving Methods</span>
                                    </a>
                                </li>

                                <li class="
                <?php if(request()->routeIs('admin.postalcode.index')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.postalcode.index') . '?language=' . $default->code); ?>">
                                        <span class="sub-item">Postal Codes</span>
                                    </a>
                                </li>

                                <li
                                    class="
                <?php if(request()->path() == 'admin/shipping'): ?> active
                <?php elseif(request()->routeIs('admin.shipping.edit')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.shipping.index') . '?language=' . $default->code); ?>">
                                        <span class="sub-item">Shipping Charges</span>
                                    </a>
                                </li>

                                <li
                                    class="
                <?php if(request()->path() == 'admin/coupon'): ?> active
                <?php elseif(request()->routeIs('admin.coupon.edit')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.coupon.index')); ?>">
                                        <span class="sub-item">Coupons</span>
                                    </a>
                                </li>

                                <li class="
                <?php if(request()->path() == 'admin/ordertime'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.ordertime')); ?>">
                                        <span class="sub-item">Order Time Management</span>
                                    </a>
                                </li>

                                <li
                                    class="
                <?php if(request()->path() == 'admin/deliverytime'): ?> active
                <?php elseif(request()->path() == 'admin/timeframes'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.deliverytime')); ?>">
                                        <span class="sub-item">Delivery Time Frames Management</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>


                
                <?php if(empty($admin->role) || (!empty($permissions) && in_array('Customers', $permissions))): ?>
                    <li
                        class="nav-item
        <?php if(request()->path() == 'admin/register/users'): ?> active
        <?php elseif(request()->routeIs('register.user.view')): ?> active
        <?php elseif(request()->path() == 'admin/customers'): ?> active
        <?php elseif(request()->routeIs('register.user.changePass')): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#customers">
                            <i class="la flaticon-users"></i>
                            <p>Customers</p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
          <?php if(request()->path() == 'admin/register/users'): ?> show
          <?php elseif(request()->routeIs('register.user.view')): ?> show
          <?php elseif(request()->path() == 'admin/customers'): ?> show
          <?php elseif(request()->routeIs('register.user.changePass')): ?> show <?php endif; ?>"
                            id="customers">
                            <ul class="nav nav-collapse">
                                <li
                                    class="<?php if(request()->path() == 'admin/register/users'): ?> active
                <?php elseif(request()->routeIs('register.user.view')): ?> active
                <?php elseif(request()->routeIs('register.user.changePass')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.register.user')); ?>">
                                        <span class="sub-item">Registered Customers</span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'admin/customers'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.customer.index')); ?>">
                                        <span class="sub-item">Customers</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>


                <?php if(empty($admin->role) || (!empty($permissions) && in_array('Product Management', $permissions))): ?>
                    
                    <li
                        class="nav-item
                        <?php if(request()->path() == 'admin/category'): ?> active
                        <?php elseif(request()->path() == 'admin/subcategory'): ?> active
                        <?php elseif(request()->path() == 'admin/product'): ?> active
                        <?php elseif(request()->path() == 'admin/product/create'): ?> active
                        <?php elseif(request()->is('admin/product/*/edit')): ?> active
                        <?php elseif(request()->is('admin/category/*/edit')): ?> active >
                        <?php elseif(request()->is('admin/subcategory/*/edit')): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#category">
                            <i class="fas fa-hamburger"></i>
                            <p>Items Management</p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
                        <?php if(request()->path() == 'admin/category'): ?> show
                        <?php elseif(request()->path() == 'admin/subcategory'): ?> show
                        <?php elseif(request()->path() == 'admin/product/create'): ?> show
                        <?php elseif(request()->is('admin/category/*/edit')): ?> show
                        <?php elseif(request()->is('admin/subcategory/*/edit')): ?> show
                        <?php elseif(request()->path() == 'admin/product'): ?> show
                        <?php elseif(request()->is('admin/product/*/edit')): ?> show <?php endif; ?>"
                            id="category">
                            <ul class="nav nav-collapse">
                                <li
                                    class="
                <?php if(request()->path() == 'admin/category'): ?> active
                <?php elseif(request()->is('admin/category/*/edit')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.category.index') . '?language=' . $default->code); ?>">
                                        <span class="sub-item">Category & Tax</span>
                                    </a>
                                </li>
                                <li
                                    class=" <?php if(request()->path() == 'admin/subcategory'): ?> active  <?php elseif(request()->is('admin/subcategory/*/edit')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.subcategory.index') . '?language=' . $default->code); ?>">
                                        <span class="sub-item">Subcategories</span>
                                    </a>
                                </li>

                                <li
                                    class="
                <?php if(request()->path() == 'admin/product'): ?> active
                <?php elseif(request()->is('admin/product/*/edit')): ?> active
                <?php elseif(request()->path() == 'admin/product/create'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.product.index') . '?language=' . $default->code); ?>">
                                        <span class="sub-item">Items</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>


                
                <?php if(empty($admin->role) || (!empty($permissions) && in_array('QR Code Builder', $permissions))): ?>
                    <li class="nav-item
         <?php if(request()->path() == 'admin/qr-code'): ?> active <?php endif; ?>">
                        <a href="<?php echo e(route('admin.qrcode')); ?>">
                            <i class="fas fa-qrcode"></i>
                            <p>QR Code Builder</p>
                        </a>
                    </li>
                <?php endif; ?>


                <?php if(empty($admin->role) || (!empty($permissions) && in_array('Payment Gateways', $permissions))): ?>
                    
                    <li
                        class="nav-item
        <?php if(request()->path() == 'admin/gateways'): ?> active
        <?php elseif(request()->path() == 'admin/offline/gateways'): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#gateways">
                            <i class="la flaticon-paypal"></i>
                            <p>Payment Gateways</p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
          <?php if(request()->path() == 'admin/gateways'): ?> show
          <?php elseif(request()->path() == 'admin/offline/gateways'): ?> show <?php endif; ?>"
                            id="gateways">
                            <ul class="nav nav-collapse">
                                <li class="<?php if(request()->path() == 'admin/gateways'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.gateway.index')); ?>">
                                        <span class="sub-item">Online Gateways</span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'admin/offline/gateways'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.gateway.offline') . '?language=' . $default->code); ?>">
                                        <span class="sub-item">Offline Gateways</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>



                <?php if(empty($admin->role) || (!empty($permissions) && in_array('Reservation Settings', $permissions))): ?>
                    <li
                        class="nav-item
          <?php if(request()->path() == 'admin/reservations/visibility'): ?> active
          <?php elseif(request()->path() == 'admin/reservation/form'): ?> active
          <?php elseif(request()->is('admin/reservation/*/inputEdit')): ?> active
          <?php elseif(request()->path() == 'admin/table/section'): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#reservSet">
                            <i class="fas fa-utensils"></i>
                            <p>Reservation Settings</p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
            <?php if(request()->path() == 'admin/reservations/visibility'): ?> show
            <?php elseif(request()->path() == 'admin/reservation/form'): ?> show
            <?php elseif(request()->is('admin/reservation/*/inputEdit')): ?> show
            <?php elseif(request()->path() == 'admin/table/section'): ?> show <?php endif; ?>"
                            id="reservSet">
                            <ul class="nav nav-collapse">
                                <li class="
                <?php if(request()->path() == 'admin/reservations/visibility'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.reservations.visibility')); ?>">
                                        <span class="sub-item">Visibility</span>
                                    </a>
                                </li>
                                <li class="
                <?php if(request()->path() == 'admin/table/section'): ?> active <?php endif; ?>">
                                    <a
                                        href="<?php echo e(route('admin.tablesection.index') . '?language=' . $default->code); ?>">
                                        <span class="sub-item">Text & Image</span>
                                    </a>
                                </li>
                                <li
                                    class="
                <?php if(request()->path() == 'admin/reservation/form'): ?> active
                <?php elseif(request()->is('admin/reservation/*/inputEdit')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.reservation.form') . '?language=' . $default->code); ?>">
                                        <span class="sub-item">Form Builder</span>
                                    </a>
                                </li>

                            </ul>
                        </div>
                    </li>
                <?php endif; ?>


                <?php if(empty($admin->role) || (!empty($permissions) && in_array('Table Reservation', $permissions))): ?>
                    <li class="nav-item  <?php if(request()->is('admin/table/resevations/*')): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#table">
                            <i class="fas fa-utensils"></i>
                            <p>Table Reservations</p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse  <?php if(request()->is('admin/table/resevations/*')): ?> show <?php endif; ?>" id="table">
                            <ul class="nav nav-collapse">
                                <li class="<?php if(request()->path() == 'admin/table/resevations/create'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.table.resevations.new') . '?language=' . $default->code); ?>">
                                        <span class="sub-item">New Reservation</span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'admin/table/resevations/all'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.all.table.resevations')); ?>">
                                        <span class="sub-item">All Resevations</span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'admin/table/resevations/pending'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.pending.table.resevations')); ?>">
                                        <span class="sub-item">Pending Resevations</span>
                                    </a>
                                </li>

                                <li class="<?php if(request()->path() == 'admin/table/resevations/accepted'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.accepted.table.resevations')); ?>">
                                        <span class="sub-item">Accepted Resevations</span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'admin/table/resevations/rejected'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.rejected.table.resevations')); ?>">
                                        <span class="sub-item">Rejected Resevations</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>


                
                <?php if(empty($admin->role) || (!empty($permissions) && in_array('Tables & QR Builder', $permissions))): ?>
                    <li class="nav-item
            <?php if(request()->path() == 'admin/tables'): ?> active <?php endif; ?>">
                        <a href="<?php echo e(route('admin.table.index')); ?>">
                            <i class="fas fa-table"></i>
                            <p>Tables & QR Builder</p>
                        </a>
                    </li>
                <?php endif; ?>


                <?php if(empty($admin->role) || (!empty($permissions) && in_array('Menu Builder', $permissions))): ?>
                    
                    <li class="nav-item
            <?php if(request()->path() == 'admin/menu-builder'): ?> active <?php endif; ?>">
                        <a href="<?php echo e(route('admin.menu_builder.index') . '?language=' . $default->code); ?>">
                            <i class="fas fa-bars"></i>
                            <p>Drag & Drop Menu Builder</p>
                        </a>
                    </li>
                <?php endif; ?>


                
                <?php if(empty($admin->role) || (!empty($permissions) && in_array('Website Pages', $permissions))): ?>
                    <?php if ($__env->exists('admin.partials.website-pages')) echo $__env->make('admin.partials.website-pages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <?php endif; ?>


                
                <?php if(empty($admin->role) || (!empty($permissions) && in_array('Announcement Popup', $permissions))): ?>
                    <li
                        class="nav-item
        <?php if(request()->path() == 'admin/popup/create'): ?> active
        <?php elseif(request()->path() == 'admin/popup/types'): ?> active
        <?php elseif(request()->is('admin/popup/*/edit')): ?> active
        <?php elseif(request()->path() == 'admin/popups'): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#announcementPopup">
                            <i class="fas fa-bullhorn"></i>
                            <p>Announcement Popup</p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
            <?php if(request()->path() == 'admin/popup/create'): ?> show
            <?php elseif(request()->path() == 'admin/popup/types'): ?> show
            <?php elseif(request()->path() == 'admin/popups'): ?> show
            <?php elseif(request()->is('admin/popup/*/edit')): ?> show <?php endif; ?>"
                            id="announcementPopup">
                            <ul class="nav nav-collapse">
                                <li
                                    class="<?php if(request()->path() == 'admin/popup/types'): ?> active
                        <?php elseif(request()->path() == 'admin/popup/create'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.popup.types')); ?>">
                                        <span class="sub-item">Add Popup</span>
                                    </a>
                                </li>
                                <li
                                    class="<?php if(request()->path() == 'admin/popups'): ?> active
                        <?php elseif(request()->is('admin/popup/*/edit')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.popup.index') . '?language=' . $default->code); ?>">
                                        <span class="sub-item">Popups</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>


                <?php if(empty($admin->role) || (!empty($permissions) && in_array('Push Notification', $permissions))): ?>
                    
                    <li
                        class="nav-item
          <?php if(request()->path() == 'admin/pushnotification/settings'): ?> active
          <?php elseif(request()->path() == 'admin/pushnotification/send'): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#pushNotification">
                            <i class="far fa-bell"></i>
                            <p>Push Notification</p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
            <?php if(request()->path() == 'admin/pushnotification/settings'): ?> show
            <?php elseif(request()->path() == 'admin/pushnotification/send'): ?> show <?php endif; ?>"
                            id="pushNotification">
                            <ul class="nav nav-collapse">
                                <li class="<?php if(request()->path() == 'admin/pushnotification/settings'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.pushnotification.settings')); ?>">
                                        <span class="sub-item">Settings</span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'admin/pushnotification/send'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.pushnotification.send')); ?>">
                                        <span class="sub-item">Send Notification</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>


                <?php if(empty($admin->role) || (!empty($permissions) && in_array('Subscribers', $permissions))): ?>
                    
                    <li
                        class="nav-item
          <?php if(request()->path() == 'admin/subscribers'): ?> active
          <?php elseif(request()->path() == 'admin/mailsubscriber'): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#subscribers">
                            <i class="la flaticon-envelope"></i>
                            <p>Subscribers</p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
            <?php if(request()->path() == 'admin/subscribers'): ?> show
            <?php elseif(request()->path() == 'admin/mailsubscriber'): ?> show <?php endif; ?>"
                            id="subscribers">
                            <ul class="nav nav-collapse">
                                <li class="<?php if(request()->path() == 'admin/subscribers'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.subscriber.index')); ?>">
                                        <span class="sub-item">Subscribers</span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'admin/mailsubscriber'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.mailsubscriber')); ?>">
                                        <span class="sub-item">Mail to Subscribers</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>



                <?php if(empty($admin->role) || (!empty($permissions) && in_array('Basic Settings', $permissions))): ?>
                    
                    <li
                        class="nav-item
          <?php if(request()->path() == 'admin/favicon'): ?> active
          <?php elseif(request()->path() == 'admin/logo'): ?> active
          <?php elseif(request()->path() == 'admin/preloader'): ?> active
          <?php elseif(request()->path() == 'admin/basicinfo'): ?> active
          <?php elseif(request()->path() == 'admin/support'): ?> active
          <?php elseif(request()->path() == 'admin/social'): ?> active
          <?php elseif(request()->is('admin/social/*')): ?> active
          <?php elseif(request()->path() == 'admin/breadcrumb'): ?> active
          <?php elseif(request()->path() == 'admin/heading'): ?> active
          <?php elseif(request()->path() == 'admin/script'): ?> active
          <?php elseif(request()->path() == 'admin/seo'): ?> active
          <?php elseif(request()->path() == 'admin/pwa'): ?> active
          <?php elseif(request()->path() == 'admin/maintainance'): ?> active
          <?php elseif(request()->path() == 'admin/cookie-alert'): ?> active
          <?php elseif(request()->path() == 'admin/callwaiter'): ?> active
          <?php elseif(request()->path() == 'admin/mail-from-admin'): ?> active
          <?php elseif(request()->path() == 'admin/mail-to-admin'): ?> active
          <?php elseif(request()->path() == 'admin/email-templates'): ?> active
          <?php elseif(request()->routeIs('admin.product.tags')): ?> active
          <?php elseif(request()->routeIs('admin.email.editTemplate')): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#basic">
                            <i class="la flaticon-settings"></i>
                            <p>Settings</p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
            <?php if(request()->path() == 'admin/favicon'): ?> show
            <?php elseif(request()->path() == 'admin/logo'): ?> show
            <?php elseif(request()->path() == 'admin/preloader'): ?> show
            <?php elseif(request()->path() == 'admin/basicinfo'): ?> show
            <?php elseif(request()->path() == 'admin/support'): ?> show
            <?php elseif(request()->path() == 'admin/social'): ?> show
            <?php elseif(request()->is('admin/social/*')): ?> show
            <?php elseif(request()->path() == 'admin/breadcrumb'): ?> show
            <?php elseif(request()->path() == 'admin/heading'): ?> show
            <?php elseif(request()->path() == 'admin/script'): ?> show
            <?php elseif(request()->path() == 'admin/seo'): ?> show
            <?php elseif(request()->path() == 'admin/pwa'): ?> show
            <?php elseif(request()->path() == 'admin/maintainance'): ?> show
            <?php elseif(request()->path() == 'admin/cookie-alert'): ?> show
            <?php elseif(request()->path() == 'admin/callwaiter'): ?> show
            <?php elseif(request()->path() == 'admin/mail-from-admin'): ?> show
            <?php elseif(request()->path() == 'admin/mail-to-admin'): ?> show
            <?php elseif(request()->path() == 'admin/email-templates'): ?> show
            <?php elseif(request()->routeIs('admin.product.tags')): ?> show
            <?php elseif(request()->routeIs('admin.email.editTemplate')): ?> show <?php endif; ?>"
                            id="basic">
                            <ul class="nav nav-collapse">
                                <li class="<?php if(request()->path() == 'admin/favicon'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.favicon')); ?>">
                                        <span class="sub-item">Favicon</span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'admin/logo'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.logo')); ?>">
                                        <span class="sub-item">Logo</span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'admin/preloader'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.preloader')); ?>">
                                        <span class="sub-item">Preloader</span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'admin/basicinfo'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.basicinfo') . '?language=' . $default->code); ?>">
                                        <span class="sub-item">General Settings</span>
                                    </a>
                                </li>

                                <li class="submenu">
                                    <a data-toggle="collapse" href="#emailset"
                                        aria-expanded="<?php echo e(request()->path() == 'admin/mail-from-admin' ||request()->path() == 'admin/mail-to-admin' ||request()->path() == 'admin/email-templates' ||request()->routeIs('admin.email.editTemplate')? 'true': 'false'); ?>">
                                        <span class="sub-item">Email Settings</span>
                                        <span class="caret"></span>
                                    </a>
                                    <div class="collapse <?php echo e(request()->path() == 'admin/mail-from-admin' ||request()->path() == 'admin/mail-to-admin' ||request()->path() == 'admin/email-templates' ||request()->routeIs('admin.email.editTemplate')? 'show': ''); ?>"
                                        id="emailset">
                                        <ul class="nav nav-collapse subnav">
                                            <li class="<?php if(request()->path() == 'admin/mail-from-admin'): ?> active <?php endif; ?>">
                                                <a href="<?php echo e(route('admin.mailFromAdmin')); ?>">
                                                    <span class="sub-item">Mail from Admin</span>
                                                </a>
                                            </li>
                                            <li class="<?php if(request()->path() == 'admin/mail-to-admin'): ?> active <?php endif; ?>">
                                                <a href="<?php echo e(route('admin.mailToAdmin')); ?>">
                                                    <span class="sub-item">Mail to Admin</span>
                                                </a>
                                            </li>
                                            <li
                                                class="<?php if(request()->path() == 'admin/email-templates'): ?> active
                        <?php elseif(request()->routeIs('admin.email.editTemplate')): ?> active <?php endif; ?>">
                                                <a href="<?php echo e(route('admin.email.templates')); ?>">
                                                    <span class="sub-item">Email Templates</span>
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                </li>
                                <li class="<?php if(request()->path() == 'admin/callwaiter'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.callwaiter')); ?>">
                                        <span class="sub-item">Call Waiter</span>
                                    </a>
                                </li>

                                <li class="<?php if(request()->path() == 'admin/support'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.support') . '?language=' . $default->code); ?>">
                                        <span class="sub-item">Support Informations</span>
                                    </a>
                                </li>
                                <li
                                    class="<?php if(request()->path() == 'admin/social'): ?> active
                <?php elseif(request()->is('admin/social/*')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.social.index')); ?>">
                                        <span class="sub-item">Social Links</span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'admin/breadcrumb'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.breadcrumb')); ?>">
                                        <span class="sub-item">Breadcrumb</span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'admin/heading'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.heading') . '?language=' . $default->code); ?>">
                                        <span class="sub-item">Page Headings</span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'admin/pwa'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.pwa')); ?>">
                                        <span class="sub-item">PWA Settings</span>
                                    </a>
                                </li>

                                <li class="<?php if(request()->path() == 'admin/script'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.script')); ?>">
                                        <span class="sub-item">Plugins</span>
                                    </a>
                                </li>

                                <li class="<?php if(request()->path() == 'admin/maintainance'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.maintainance')); ?>">
                                        <span class="sub-item">Maintainance Mode</span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'admin/cookie-alert'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.cookie.alert') . '?language=' . $default->code); ?>">
                                        <span class="sub-item">Cookie Alert</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>


                <?php if(empty($admin->role) || (!empty($permissions) && in_array('Language Management', $permissions))): ?>
                    
                    <li
                        class="nav-item
         <?php if(request()->path() == 'admin/languages'): ?> active
         <?php elseif(request()->is('admin/language/*/edit')): ?> active
         <?php elseif(request()->is('admin/language/*/edit/keyword')): ?> active <?php endif; ?>">
                        <a href="<?php echo e(route('admin.language.index')); ?>">
                            <i class="la flaticon-chat-8"></i>
                            <p>Language Management</p>
                        </a>
                    </li>
                <?php endif; ?>



                <?php if(empty($admin->role) || (!empty($permissions) && in_array('Admins Management', $permissions))): ?>
                    
                    <li
                        class="nav-item
          <?php if(request()->path() == 'admin/roles'): ?> active
          <?php elseif(request()->is('admin/role/*/permissions/manage')): ?> active
          <?php elseif(request()->path() == 'admin/users'): ?> active
          <?php elseif(request()->is('admin/user/*/edit')): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#adminsManagement">
                            <i class="fas fa-users-cog"></i>
                            <p>Admins Management</p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
            <?php if(request()->path() == 'admin/roles'): ?> show
            <?php elseif(request()->is('admin/role/*/permissions/manage')): ?> show
            <?php elseif(request()->path() == 'admin/users'): ?> show
            <?php elseif(request()->is('admin/user/*/edit')): ?> show <?php endif; ?>"
                            id="adminsManagement">
                            <ul class="nav nav-collapse">
                                <li
                                    class="
                <?php if(request()->path() == 'admin/roles'): ?> active
                <?php elseif(request()->is('admin/role/*/permissions/manage')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.role.index')); ?>">
                                        <span class="sub-item">Role Management</span>
                                    </a>
                                </li>
                                <li
                                    class="
                <?php if(request()->path() == 'admin/users'): ?> active
                <?php elseif(request()->is('admin/user/*/edit')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('admin.user.index')); ?>">
                                        <span class="sub-item">Admins</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>



                <?php if(empty($admin->role) || (!empty($permissions) && in_array('Sitemap', $permissions))): ?>
                    
                    <li class="nav-item
            <?php if(request()->path() == 'admin/sitemap'): ?> active <?php endif; ?>">
                        <a href="<?php echo e(route('admin.sitemap.index') . '?language=' . $default->code); ?>">
                            <i class="fa fa-sitemap"></i>
                            <p>Sitemap</p>
                        </a>
                    </li>
                <?php endif; ?>



                <?php if(empty($admin->role) || (!empty($permissions) && in_array('Backup', $permissions))): ?>
                    
                    <li class="nav-item
         <?php if(request()->path() == 'admin/backup'): ?> active <?php endif; ?>">
                        <a href="<?php echo e(route('admin.backup.index')); ?>">
                            <i class="la flaticon-down-arrow-3"></i>
                            <p>Database Backup</p>
                        </a>
                    </li>
                <?php endif; ?>


                
                <li class="nav-item">
                    <a href="<?php echo e(route('admin.cache.clear')); ?>">
                        <i class="la flaticon-close"></i>
                        <p>Clear Cache</p>
                    </a>
                </li>
            </ul>
        </div>
    </div>
</div>
<?php /**PATH /Users/samiulalimpratik/Sites/superv/superv/core/resources/views/admin/partials/side-navbar.blade.php ENDPATH**/ ?>