<?php $__env->startSection('content'); ?>
    <!--====== PAGE TITLE PART START ======-->
    <section class="page-title-area d-flex align-items-center lazy"
        data-bg="<?php echo e(asset('assets/front/img/' . $bs->breadcrumb)); ?>">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="page-title-item text-center">
                        <h2 class="title"><?php echo e(convertUtf8($bs->items_title)); ?></h2>
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="<?php echo e(route('front.index')); ?>"><i
                                            class="flaticon-home"></i><?php echo e(__('Home')); ?></a></li>
                                <li class="breadcrumb-item active" aria-current="page"><?php echo e(convertUtf8($bs->items_title)); ?>

                                </li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!--====== PAGE TITLE PART ENDS ======-->

    <!--====== SHOP BAR PART START ======-->

    <div class="shop-bar-area pt-120">
        <div class="container">
            <div class="row">
                <div class="col-lg-3">
                    <div class="shop-search mt-30">
                        <input type="text" placeholder="<?php echo e(__('Search Keywords')); ?>" class="input-search" name="search"
                            value="">
                        <i class="fas fa-search input-search-btn cursor-pointer"></i>
                    </div>
                </div>

                <div class="col-lg-7"></div>

                <div class="col-lg-2">
                    <div class="shop-dropdown mt-30 float-right">
                        <select name="type" id="type_sort" class="form-control">
                            <option value="new" <?php echo e(request()->input('type') == 'new' ? 'selected' : ''); ?>>
                                <?php echo e(__('Newest Product')); ?></option>
                            <option value="old" <?php echo e(request()->input('type') == 'old' ? 'selected' : ''); ?>>
                                <?php echo e(__('Oldest Product')); ?></option>
                            <option value="high-to-low"
                                <?php echo e(request()->input('type') == 'high-to-low' ? 'selected' : ''); ?>>
                                <?php echo e(__('Price: High To Low')); ?></option>
                            <option value="low-to-high"
                                <?php echo e(request()->input('type') == 'low-to-high' ? 'selected' : ''); ?>>
                                <?php echo e(__('Price: Low To High')); ?></option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--====== SHOP BAR PART ENDS ======-->

    <!--====== PRICING PART START ======-->

    <section class="pricing-area pt-20 pb-120">
        <div class="container">
            <div class="row">
                <div class="col-lg-3">
                    <div class="shop-sidebar">
                        <div class="shop-box shop-category">
                            <div class="sidebar-title">
                                <h4 class="title"><?php echo e(__('Category')); ?></h4>
                            </div>
                            <div class="category-item">
                                <ul>
                                    <li class="<?php echo e(request()->input('category_id') == '' ? 'active-search' : ''); ?>"><a href="<?php echo e(route('front.items')); ?>" class="cursor-pointer"><?php echo e(__('All')); ?></a></li>
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li
                                            class="<?php echo e(request()->input('category_id') == $category->id ? 'active-search' : ''); ?>">
                                            <a href="<?php echo e(route('front.items', ['category_id' => $category->id])); ?>" class="cursor-pointer"><?php echo e(convertUtf8($category->name)); ?></a>
                                        </li>
                                        <?php if($category->subcategories && request('category_id') == $category->id): ?>
                                            <ul class="subitem">
                                                <?php $__currentLoopData = $category->subcategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sub): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <li class="<?php echo e(request()->input('subcategory_id') == $sub->id ? 'active-search' : ''); ?>" >
                                                        <a href="<?php echo e(route('front.items', ['category_id' => $category->id, 'subcategory_id' => $sub->id])); ?>" class="cursor-pointer">
                                                            <i class="fa fa-angle-right"></i> <?php echo e($sub->name); ?>

                                                        </a>
                                                    </li>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </ul>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        </div>

                        <div class="shop-box shop-filter mt-30">
                            <div class="sidebar-title">
                                <h4 class="title"><?php echo e(__('Filter Products')); ?></h4>
                            </div>
                            <div class="filter-item">
                                <ul class="checkbox_common checkbox_style2">
                                    <li>
                                        <input type="radio" class="review_val" name="review_value"
                                            <?php echo e(request()->input('review') == '' ? 'checked' : ''); ?> id="checkbox4"
                                            value="">
                                        <label for="checkbox4"><span></span> <?php echo e(__('Show All')); ?></label>
                                    </li>

                                    <li>
                                        <input type="radio" class="review_val" name="review_value" id="checkbox5"
                                            value="4" <?php echo e(request()->input('review') == 4 ? 'checked' : ''); ?>

                                            id="checkbox4" value="all">
                                        <label for="checkbox5"><span></span>4 <?php echo e(__('Star and higher')); ?></label>
                                    </li>

                                    <li>
                                        <input type="radio" class="review_val" name="review_value" id="checkbox6"
                                            value="3" <?php echo e(request()->input('review') == 3 ? 'checked' : ''); ?>

                                            id="checkbox4" value="all">
                                        <label for="checkbox6"><span></span>3 <?php echo e(__('Star and higher')); ?></label>
                                    </li>

                                    <li>
                                        <input type="radio" class="review_val" name="review_value" id="checkbox7"
                                            value="2" <?php echo e(request()->input('review') == 2 ? 'checked' : ''); ?>

                                            id="checkbox4" value="all">
                                        <label for="checkbox7"><span></span>2 <?php echo e(__('Star and higher')); ?></label>
                                    </li>

                                    <li>
                                        <input type="radio" class="review_val" name="review_value" id="checkbox8"
                                            value="1" <?php echo e(request()->input('review') == 1 ? 'checked' : ''); ?>

                                            id="checkbox4" value="all">
                                        <label for="checkbox8"><span></span>1 <?php echo e(__('Star and higher')); ?></label>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <div class="shop-box shop-price mt-30">
                            <div class="sidebar-title">
                                <h4 class="title"><?php echo e(__('Filter By Price')); ?></h4>
                            </div>
                            <div class="price-item">
                                <div class="price-range-box ">
                                    <form action="#">
                                        <div id="slider-range"></div>
                                        <span>Price: </span>
                                        <input type="text" name="text" id="amount">
                                        <button class="btn filter-button" type="button"><?php echo e(__('Filter')); ?></button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-9">
                    <div class="row justify-content-start">
                        <?php if($products->count() > 0): ?>
                            <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="col-lg-4 col-md-7 col-sm-8">
                                    <div class="single-pricing text-center mt-30">
                                        <?php if($product->is_special == 1): ?>
                                            <div class="flag">
                                                <span><?php echo e(__('Special')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                        <a class="pricing-thumb"
                                            href="<?php echo e(route('front.product.details', [$product->slug, $product->id])); ?>">
                                            <img class="lazy wow fadeIn"
                                                data-src="<?php echo e(asset('assets/front/img/product/featured/' . $product->feature_image)); ?>"
                                                alt="" data-wow-delay=".5s">
                                        </a>
                                        <h3 class="title">
                                            <?php echo e($be->base_currency_symbol_position == 'left' ? $be->base_currency_symbol : ''); ?><?php echo e(convertUtf8($product->current_price)); ?><?php echo e($be->base_currency_symbol_position == 'right' ? $be->base_currency_symbol : ''); ?>


                                            <?php if(convertUtf8($product->previous_price)): ?>
                                                <small>
                                                    <del><?php echo e($be->base_currency_symbol_position == 'left' ? $be->base_currency_symbol : ''); ?>

                                                        <?php echo e(convertUtf8($product->previous_price)); ?>

                                                        <?php echo e($be->base_currency_symbol_position == 'right' ? $be->base_currency_symbol : ''); ?></del>
                                                </small>
                                            <?php endif; ?>

                                        </h3>
                                        <a
                                            href="<?php echo e(route('front.product.details', [$product->slug, $product->id])); ?>"><span><?php echo e(convertUtf8($product->title)); ?></span></a>
                                        <p> <?php echo e(convertUtf8(strlen($product->summary)) > 48? convertUtf8(substr($product->summary, 0, 48)) . '...': convertUtf8($product->summary)); ?>

                                        </p>
                                        <a class="main-btn cart-link" data-product="<?php echo e($product); ?>"
                                            data-href="<?php echo e(route('add.cart', $product->id)); ?>"><?php echo e(__('Add To Cart')); ?></a>
                                    </div>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                            <div class="col-lg-12">
                                <div class="bg-light py-5 mt-4">
                                    <h4 class="text-center"><?php echo e(__('Product Not Found')); ?></h4>
                                </div>
                            </div>
                        <?php endif; ?>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <?php echo e($products->appends(['minprice' => request()->input('minprice'),'maxprice' => request()->input('maxprice'),'category_id' => request()->input('category_id'),'type' => request()->input('type'),'tag' => request()->input('tag'),'review' => request()->input('review')])->links()); ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <?php
    $maxprice = App\Models\Product::max('current_price');
    $minprice = 0;
    ?>
    <form id="searchForm" class="d-none" action="<?php echo e(route('front.items')); ?>" method="get">
        <input type="hidden" id="search" name="search"
            value="<?php echo e(!empty(request()->input('search')) ? request()->input('search') : ''); ?>">
        <input type="hidden" id="minprice" name="minprice"
            value="<?php echo e(!empty(request()->input('minprice')) ? request()->input('minprice') : $minprice); ?>">
        <input type="hidden" id="maxprice" name="maxprice"
            value="<?php echo e(!empty(request()->input('maxprice')) ? request()->input('maxprice') : $maxprice); ?>">
        <input type="hidden" name="category_id" id="category_id"
            value="<?php echo e(!empty(request()->input('category_id')) ? request()->input('category_id') : null); ?>">

        <input type="hidden" name="subcategory_id" id="subcategory_id"
            value="<?php echo e(!empty(request()->input('subcategory_id')) ? request()->input('subcategory_id') : null); ?>">

        <input type="hidden" name="type" id="type"
            value="<?php echo e(!empty(request()->input('type')) ? request()->input('type') : 'new'); ?>">

        <input type="hidden" name="review" id="review"
            value="<?php echo e(!empty(request()->input('review')) ? request()->input('review') : ''); ?>">
        <button id="search-button" type="submit"></button>
    </form>

    <!--====== PRICING PART ENDS ======-->

    <!--====== SHOP BAR PART END ======-->


    
    <?php if ($__env->exists('front.partials.variation-modal')) echo $__env->make('front.partials.variation-modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    
<?php $__env->stopSection(); ?>


<?php $__env->startSection('script'); ?>
    <script>
        "use strict";
        var position = "<?php echo e($be->base_currency_symbol_position); ?>";
        var symbol = "<?php echo e($be->base_currency_symbol); ?>";
        var sliderMinPrice = '<?php echo e(!empty(request()->input('minprice')) ? request()->input('minprice') : $minprice); ?>';
        var sliderMaxPrice = '<?php echo e(!empty(request()->input('maxprice')) ? request()->input('maxprice') : $maxprice); ?>';
        var sliderInitMax = '<?php echo e($maxprice); ?>';
    </script>
    <script src="<?php echo e(asset('assets/front/js/items.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('front.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/samiulalimpratik/Sites/superv/superv/core/resources/views/front/product/items.blade.php ENDPATH**/ ?>